Update automation rule in Account
PATCH
Update a automation rule in account
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
id*integerThe ID of the automation rule to be updated.
account_id*integerThe numeric ID of the account
application/json- body
name?stringRule name
description?stringThe description about the automation and actions
event_name?stringThe event when you want to execute the automation actions
Value in
"conversation_created""conversation_updated""conversation_resolved""message_created"active?booleanEnable/disable automation rule
actions?array<>Array of actions which you want to perform when condition matches, e.g add label support if message contains content help.
conditions?array<>Array of conditions on which conversation filter would work, e.g message content contains text help.
Success
application/json- response
payload?array<>|Response payload that contains automation rule(s)
curl -X PATCH 'https://helpdesk.inclamo.com/api/v1/accounts/0/automation_rules/0' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "payload": [ { "id": 0, "account_id": 0, "name": "string", "description": "string", "event_name": "conversation_created", "conditions": [ { "values": [ "string" ], "attribute_key": "string", "query_operator": "string", "filter_operator": "string" } ], "actions": [ { "action_name": "string", "action_params": [ "string" ] } ], "created_on": 0, "active": true } ]}